%define name yank
%define version 0.2.1
%define release 6mdk

Summary:       Yet Another NoteKeeper
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPL
URL:           http://home.ins.de/~m.hussmann/software/yank/index.html
Group:         Office
Source:        %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-root
BuildRequires: gtk+1.2-devel
BuildRequires: libgnome-devel
BuildRequires: libORBit-devel
# BuildRequires: libGConf-devel
BuildRequires: libgal-devel
BuildRequires: libgnomeprint-devel > 0.24
BuildRequires: pilot-link-devel
# PreReq:        GConf >= 1.0.4

%description
Yank is a simple notekeer and todo-list manager using the gnome and gtk
libraries. It feels stable and usable enough to be released to the public
but it surely lacks some (not so important) features which might be added
later. Excessive tests have shown that yank is fool-proof, irritating and
wasting too much memory. ;)

%prep
%setup -q

%build
# disable gconf, it's broken
%configure --disable-gconf
# (misc) remove gconftool in the makefile, fails to install if gconf is
# not here
perl -pi -e 's/gconftool/#gconftool/g' src/Makefile*
%make

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
                 section="Office/Tasks management" \
		 title="Yank" \
		 longtitle="%{summary}" \
		 command="%_bindir/%{name}" \
		 icon="%{name}.png"
EOF

install -d %{buildroot}/%{_iconsdir}
install -m644 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/yank/plugins/%{version}/*.{la,a} \
  $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/%{name}.schemas \
  $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.defaults

%{find_lang} %{name}

%clean
rm -rf %buildroot

%post
%{update_menus}
# we currently build without gconf support
# GCONF_CONFIG_SOURCE=xml::%{_sysconfdir}/gconf/gconf.xml.defaults gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas 2>/dev/null >/dev/null

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README THANKS TODO
# we currently build without gconf support
# %config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%dir %{_libdir}/yank
%dir %{_libdir}/yank/plugins
%dir %{_libdir}/yank/plugins/%{version}
%{_libdir}/yank/plugins/%{version}/*.so*
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/*.png
%{_menudir}/*
%{_datadir}/gnome/apps/Applications/*

%changelog

* Sat Sep 20 2003 Michael Scherer <scherer.michael@free.fr> 0.2.1-6mdk 
- remove gconftool from makefile for slbd

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.1-5mdk
- Recompiled against latest gal

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-4mdk
- rebuild

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.1-3mdk
- Recompiled against latest gal

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-2mdk
- rebuild

* Tue Apr 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- updated by Michael Reinsch <mr@uue.org>

* Fri Mar 29 2002 Michael Reinsch <mr@uue.org> 0.2.1-1mr
- first mr package
